From 6e52b1fd24ef10b83fed21ec7e60a94796122f24 Mon Sep 17 00:00:00 2001
From: Andrei Karas <akaras@inbox.ru>
Date: Sun, 9 Jul 2017 01:01:00 +0300
Subject: Split circleci.sh into two files, because circle ci timeout issue.

---
 tools/ci/scripts/circleci.sh  | 185 ------------------------------------------
 tools/ci/scripts/circleci1.sh |  75 +++++++++++++++++
 tools/ci/scripts/circleci2.sh |  75 +++++++++++++++++
 tools/ci/scripts/circleci3.sh |  65 +++++++++++++++
 4 files changed, 215 insertions(+), 185 deletions(-)
 delete mode 100755 tools/ci/scripts/circleci.sh
 create mode 100755 tools/ci/scripts/circleci1.sh
 create mode 100755 tools/ci/scripts/circleci2.sh
 create mode 100755 tools/ci/scripts/circleci3.sh

(limited to 'tools')

diff --git a/tools/ci/scripts/circleci.sh b/tools/ci/scripts/circleci.sh
deleted file mode 100755
index 6aeaaa10c..000000000
--- a/tools/ci/scripts/circleci.sh
+++ /dev/null
@@ -1,185 +0,0 @@
-#!/bin/bash
-
-echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
-echo "Current node: ${CIRCLE_NODE_INDEX}"
-
-case $CIRCLE_NODE_INDEX in
-    0)
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
-        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-    ;;
-    1)
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
-        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-    ;;
-    2)
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
-        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=debian:unstable
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-    ;;
-    3)
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
-        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
-        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-
-        export IMAGE=vicamo/debian:sid-i386
-        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
-        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
-        ./tools/ci/scripts/docker_run.sh
-    ;;
-    *)
-        echo unknown node
-        exit 1
-    ;;
-esac
diff --git a/tools/ci/scripts/circleci1.sh b/tools/ci/scripts/circleci1.sh
new file mode 100755
index 000000000..13ea96bdf
--- /dev/null
+++ b/tools/ci/scripts/circleci1.sh
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+    0)
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
+        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    1)
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
+        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    2)
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
+        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    3)
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
+        export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    *)
+        echo unknown node
+        exit 1
+    ;;
+esac
diff --git a/tools/ci/scripts/circleci2.sh b/tools/ci/scripts/circleci2.sh
new file mode 100755
index 000000000..bec4d1c3a
--- /dev/null
+++ b/tools/ci/scripts/circleci2.sh
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+    0)
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    1)
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    2)
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    3)
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    *)
+        echo unknown node
+        exit 1
+    ;;
+esac
diff --git a/tools/ci/scripts/circleci3.sh b/tools/ci/scripts/circleci3.sh
new file mode 100755
index 000000000..192d4707d
--- /dev/null
+++ b/tools/ci/scripts/circleci3.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+    0)
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    1)
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    2)
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=debian:unstable
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    3)
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+
+        export IMAGE=vicamo/debian:sid-i386
+        export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+        export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+        ./tools/ci/scripts/docker_run.sh
+    ;;
+    *)
+        echo unknown node
+        exit 1
+    ;;
+esac
-- 
cgit v1.2.3-70-g09d2